OCF_HEARTBEAT_AOETAR(7)

NAME
ocf_heartbeat_AoEtarget - Manages ATA-over-Ethernet (AoE) target exports

SYNOPSIS

AoEtarget [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This resource agent manages an ATA-over-Ethernet (AoE) target using vblade. It exports any block device, or file, as an AoE target using the specified Ethernet device, shelf, and slot number.

SUPPORTED PARAMETERS

device
    The local block device (or file) to export as an AoE target.

    (required, string, no default)

nic
    The local Ethernet interface to use for exporting this AoE target.

    (required, string, default "eth0")

shelf
    The AoE shelf number to use when exporting this target.

    (optional, integer, no default)

slot
    The AoE slot number to use when exporting this target.

    (required, integer, no default)

pid
    The file to record the daemon pid to.

    (unique, optional, string, default "/run/resource-agents/AoEtarget-RESOURCE_ID.pid")

binary
    Location of the vblade binary.

    (optional, string, default "/usr/sbin/vblade")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 15s.

stop
    Stops the resource. Suggested minimum timeout: 15s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 15s. Suggested interval: 10s.

reload
    Suggested minimum timeout: 15s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 15s.

EXAMPLE CRM SHELL

The following is an example configuration for a AoEtarget resource using the crm(8) shell:

    primitive p_AoEtarget ocf:heartbeat:AoEtarget \
      params \
        device=string \
        nic="eth0" \
        slot=integer \
      op monitor timeout="15s" interval="10s" depth="0"

EXAMPLE PCS

The following is an example configuration for a AoEtarget resource using pcs(8)

    pcs resource create p_AoEtarget ocf:heartbeat:AoEtarget \
      device=string \
      nic="eth0" \
      slot=integer \
      op monitor timeout="15s" interval="10s" OCF_CHECK_LEVEL="0"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)